fpcmake(1)

NAME
fpcmake - The Free Pascal makefile constructor program.

SYNOPSIS
fpcmake [-Ttarget] [-pwhrqvV] [filename [filename [filename]]]

DESCRIPTION
fpcmake reads a Makefile.fpc and converts it to a Makefile suitable for reading by GNU make to compile your projects. It is similar in functionality to GNU autoconf or Imake for making X projects.

USAGE
fpcmake accepts filenames of makefile description files as it's command-line arguments. For each of these files it will create a Makefile in the same directory where the file is located, overwriting any existing file with the same name. If no options are given, it just attempts to read the file Makefile.fpc in the current directory and tries to construct a Makefile from it. any previously existing Makefile will be erased. See fpcmake(5) for a description of the format of the Makefile.fpc file.

OPTIONS
fpcmake has a small number of options to control it's behaviour:

-h  Emit a short help text describing the use of fpcmake

-p  If this option is given, a package description file is generated as well as a makefile.

-q  Tells fpcmake to be more quiet, i.e. emit less messages.

-r  If this option is given, fpcmake will recursively scan subdirectories for makefile.fpc files and generate makefiles for them.

-T  Specifies the targets for which fpcmake should generate makefiles. This can be a comma-separated list of target systems, or the special identifier all which indicates that a makefile should be generated for all supported platforms.

-v  This option instructs fpcmake to be more verbose.

-V  Print fpcmake version and exit.

-w  This is the standard option and tells fpcmake to generate a makefile.

SEE ALSO

    fpcmake(5) ppc386(1) make(1)